<?php
namespace Claromentis\Setup\Db\Migrations;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"] ?: array()) + array("_98587fc188f350370f03d54" . "707c587e1" => base64_decode("aXNfcmVhZGFibG" . "U="), "_0a441bddac7bebad7a9858" . "a0dfadcd90" => base64_decode("MDEuMD" . "E="), "_afa8b786a0282957b" . "c5e6c82eb5eeaba" => base64_decode("U2NoZW1hIGZpbGUgZG9lc24ndCBleGlzdCBvciBub3QgcmVhZGFibGUsIHNraXBwaW5nIHNjaGVtYSBj" . "cmVhdGlvbg=="), "_bc2b2cbee209b1cad" . "0873479a8fd921a" => base64_decode("L3NjaGVtYS9zY2hlbWEucG" . "hw"), "_09fd03941a048e1f" . "28e823189007cddf" => base64_decode("U2NoZW1hIHN1Y2Nlc3NmdWxseSBjcmVhdGVkLi" . "BDdXJyZW50IHZlcnNpb24gaXMgJw=="), "_c1bf7b7ebd1ab8431a8561" . "d762db1895" => base64_decode("QXBwbGljYXRpb24gaXMgbm90IGluc3RhbGxl" . "ZC4gQ2Fubm90IHVwZGF0ZQ=="), "_edc5e56d0" . "d74937af4a" . "a39a12b4e6" . "2f4" => base64_decode("MDA" . "uMD" . "A="), "_4e804c3c659" . "ffa927094580" . "81742376b" => base64_decode("Q3JlYXRpbmcgc" . "2NoZW1h"), "_e608e5b5c4c34" . "a67ba97ef84c1e" . "16199" => base64_decode("J" . "w" . "=" . "="), "_3c4298ad118f03549387eda" . "8af859750" => base64_decode("QXBwbGljYXRpb24gYWxyZWFkeSBpbnN0YWx" . "sZWQ="), "_98080012c02491a0c0cf9af5c977f" . "3c7" => base64_decode("U2NoZW1hIGZpbGU" . "6IA=="));
use Claromentis\Setup\Exception\AlreadyInstalledException;
use Claromentis\Setup\Exception\NotInstalledException;




class Schema extends MigrationsBase
{
    
    
    
    
    
    
    
    
    public function Install()
    {
        if ($this->IsSchemaCreated()) {
            throw new AlreadyInstalledException($GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_3c4298ad118f035" . "49387eda8af85975" . "0"]);
        }
        $this->CreateSchema();
    }
    
    
    
    
    
    
    
    
    public function Update()
    {
        if (!$this->IsSchemaCreated()) {
            throw new NotInstalledException($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_c1bf7b7ebd1a" . "b8431a8561d76" . "2db1895"]);
        }
    }
    
    
    
    
    public function Up()
    {
        if (!$this->IsSchemaCreated()) {
            $this->CreateSchema();
        }
    }
    
    
    
    
    
    
    protected function IsSchemaCreated()
    {
        return $this->persistence->GetVersion() !== null;
    }
    
    
    
    
    protected function CreateSchema()
    {
        $_3d94334dda6f8e448f15c2285d522e72 = $this->init_path . $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_bc2b2cb" . "ee209b1c" . "ad087347" . "9a8fd921" . "a"];
        if ($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_98587fc188f350370f03d5470" . "7c587e1"]($_3d94334dda6f8e448f15c2285d522e72)) {
            $this->logger->info($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_98080012c02491a0c0cf9af5c977f" . "3c7"] . $_3d94334dda6f8e448f15c2285d522e72);
            $this->logger->notice($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_4e804c3c659ffa92709458081742376" . "b"]);
            extract($this->environment, EXTR_REFS | EXTR_OVERWRITE);
            include $_3d94334dda6f8e448f15c2285d522e72;
            if (!$this->persistence->GetVersion()) {
                $this->persistence->SetVersion($GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_0a441bddac7bebad7a9858a0dfadcd" . "90"]);
            }
            $this->logger->notice($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_09fd03941a048e1f28" . "e823189007cddf"] . $this->persistence->GetVersion() . $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_e608e5b5c4c34a6" . "7ba97ef84c1e1619" . "9"]);
        } else {
            $this->logger->warning($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_afa8b786a0282957bc5e6c82eb5" . "eeaba"]);
            $this->persistence->SetVersion($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_edc5e56d0" . "d74937af4a" . "a39a12b4e6" . "2f4"]);
        }
    }
}